package cn.hmsoft.weixin.entity.request;

import java.util.List;

public class MenuCreateRequestJson {

	private List<FunButton> button;
	private MatchRuleJson matchrule;

	public MatchRuleJson getMatchrule() {
		return matchrule;
	}

	public void setMatchrule(MatchRuleJson matchrule) {
		this.matchrule = matchrule;
	}

	public List<FunButton> getButton() {
		return button;
	}

	public void setButton(List<FunButton> button) {
		this.button = button;
	}

	public class MatchRuleJson {
		private String tag_id;
		private String sex;
		private String country;
		private String province;
		private String city;
		private String client_platform_type;
		private String language;

		public String getTag_id() {
			return tag_id;
		}

		public void setTag_id(String tag_id) {
			this.tag_id = tag_id;
		}

		public String getSex() {
			return sex;
		}

		public void setSex(String sex) {
			this.sex = sex;
		}

		public String getCountry() {
			return country;
		}

		public void setCountry(String country) {
			this.country = country;
		}

		public String getProvince() {
			return province;
		}

		public void setProvince(String province) {
			this.province = province;
		}

		public String getCity() {
			return city;
		}

		public void setCity(String city) {
			this.city = city;
		}

		public String getClient_platform_type() {
			return client_platform_type;
		}

		public void setClient_platform_type(String client_platform_type) {
			this.client_platform_type = client_platform_type;
		}

		public String getLanguage() {
			return language;
		}

		public void setLanguage(String language) {
			this.language = language;
		}

	}

	public class FunButton {
		private String type;
		private String name;
		private String url;
		private String key;
		private String media_id;
		private List<FunButton> sub_button;

		public String getType() {
			return type;
		}

		public void setType(String type) {
			this.type = type;
		}

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}

		public String getUrl() {
			return url;
		}

		public void setUrl(String url) {
			this.url = url;
		}

		public String getKey() {
			return key;
		}

		public void setKey(String key) {
			this.key = key;
		}

		public List<FunButton> getSub_button() {
			return sub_button;
		}

		public void setSub_button(List<FunButton> sub_button) {
			this.sub_button = sub_button;
		}

		public String getMedia_id() {
			return media_id;
		}

		public void setMedia_id(String media_id) {
			this.media_id = media_id;
		}

	}

}
